/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\PlagueBeastLordQuest\Items\PlagueBackpack.cs
Lines of code: 42
***********************************************************/


using System;
using Server.Multis;
using Server.Mobiles;
using Server.Network;

namespace Server.Items
{
	public class PlagueBackpack : Container
	{
		public override int MaxWeight{ get{ return 550; } }	

		public override int DefaultGumpID{ get{ return 0x2a63; } }
		public override int DefaultDropSound{ get{ return 927; } }

		public override Rectangle2D Bounds
		{
			get{ return new Rectangle2D( 10, 10, 300, 300 ); }
		}

		public PlagueBackpack() : base( 0x261b )
		{
			Layer = Layer.Backpack;
			Movable = false;
		}

		public PlagueBackpack( Serial serial ) : base( serial )
		{
		}

		public override bool IsAccessibleTo( Mobile m )
		{
			if ( RootParent is PlagueBeastLord )
				return true;
			else
				return base.IsAccessibleTo( m );
		}
        

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
